<template>
  <header role="banner" class="fr-header">
    <div class="fr-header__body">
      <div class="fr-container">
        <div class="fr-header__body-row">
          <div class="fr-header__brand fr-enlarge-link">
            <div class="fr-header__brand-top">
              <div class="fr-header__operator">
                <img
                  src="/images/logo.jpg"
                  class="fr-responsive-img"
                  style="max-width: 12em"
                  alt=""
                />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
</template>

<script>
import { trackOutLink, trackEvent } from '~/tools/matomo';

export default {
  name: 'FrHeader',

  data: () => ({
    menuOpened: false,
    modalOpened: false,
    offerMenuOpened: false,
  }),

  methods: {
    trackOutLink,
    hideModal() {
      this.modalOpened = false;
      this.menuOpened = false;
    },
    showMenu() {
      this.modalOpened = true;
      this.menuOpened = true;
    },
    toggleDropdown() {
      this.offerMenuOpened = !this.offerMenuOpened;
    },
    closeDropDown() {
      if (this.offerMenuOpened) {
        this.offerMenuOpened = false;
      }
    },
    trackContactClick() {
      trackEvent('Contact', 'Contact Button Click', 'header');
    },
  },
};
</script>
